Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType saf-agentType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}deploymentType
              {http://www.bea.com/ns/weblogic/90/domain}saf-agentType

Model
  `<...>
  name?, notes?, target?, deployment-order?, store?, bytes-maximum?, bytes-threshold-high?, bytes-threshold-low?, messages-maximum?, messages-threshold-high?, messages-threshold-low?, maximum-message-size?, default-retry-delay-base?, default-retry-delay-maximum?, default-retry-delay-multiplier?, service-type?, window-size?, logging-enabled?, conversation-idle-time-maximum?, acknowledge-interval?, default-time-to-live?, incoming-paused-at-startup?, forwarding-paused-at-startup?, receiving-paused-at-startup?, message-buffer-size?, paging-directory?, window-interval?, jmssaf-message-log-file?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This class represents a Store-and-Forward (SAF) agent. A SAF sending agent takes care of storing messages to a persistent storage, forwarding messages to the receiving side, and re-transmitting messages when acknowledgements do not come back in time. A SAF receiving agent takes care of detecting and eliminating duplicate messages sent by the receiving agent, and deliver messages to the final endpoint.

  MBean: `SAFAgentMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `deployment-order` optional A priority that the server uses to determine when it deploys an item.
`string` | `store` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from long` | `bytes-maximum` optional
`annonymous type derived from long` | `bytes-threshold-high` optional
`annonymous type derived from long` | `bytes-threshold-low` optional
`annonymous type derived from long` | `messages-maximum` optional
`annonymous type derived from long` | `messages-threshold-high` optional
`annonymous type derived from long` | `messages-threshold-low` optional
`annonymous type derived from int` | `maximum-message-size` optional The maximum number of bytes allowed in individual messages on this SAF agent.
`annonymous type derived from long` | `default-retry-delay-base` optional
`annonymous type derived from long` | `default-retry-delay-maximum` optional
`annonymous type derived from double` | `default-retry-delay-multiplier` optional
`annonymous type derived from string` | `service-type` optional The type of service that this SAF agent provides.
`annonymous type derived from int` | `window-size` optional For JMS messages, the number of messages in a batch.
`boolean` | `logging-enabled` optional This class represents a Store-and-Forward (SAF) agent.
`annonymous type derived from long` | `conversation-idle-time-maximum` optional The maximum amount of time allowed before a sending side releases the resources used by a conversation.
`long` | `acknowledge-interval` optional The maximum interval between two successive acknowledgements sent by the receiving side.
`annonymous type derived from long` | `default-time-to-live` optional The default amount of time, in milliseconds, that the agent guarantees to reliably send messages.
`boolean` | `incoming-paused-at-startup` optional This class represents a Store-and-Forward (SAF) agent.
`boolean` | `forwarding-paused-at-startup` optional This class represents a Store-and-Forward (SAF) agent.
`boolean` | `receiving-paused-at-startup` optional This class represents a Store-and-Forward (SAF) agent.
`annonymous type derived from long` | `message-buffer-size` optional The amount of memory used to store message bodies in memory before they are paged out to disk.
`string` | `paging-directory` optional Specifies where message bodies are written when the size of the message bodies in the JMS server exceeds the message buffer size.
`annonymous type derived from long` | `window-interval` optional The maximum amount of time, in milliseconds, that a JMS sending agent will wait before forwarding messages in a single batch.
`anyType` | `jmssaf-message-log-file` optional The jms message log file configuration for this saf agent Privileges: Read only Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1